package com.ann.demo.entity.constant;

import lombok.Data;

@Data
public class WebserviceId {

    /**
     * 用户、科室接口 ReceiveDict
     */
    public static final String RECEIVE_DICT = "ReceiveDict";

    /**
     * V3接口
     */
    public static final String HIP_MESSAGE_SERVER = "HIPMessageServer";

    /**
     * 检查报告参数
     */
    public static final String PARAMETER_REPORT = "1";

    /**
     * 入院参数
     */
    public static final String PARAMETER_ADMISSION = "InPatientAddRequest";
    /**
     * 出院参数
     */
    public static final String PARAMETER_DISCHARGE = "PatientOutRequest";

    /**
     * 转科参数
     */
    public static final String PARAMETER_TRANSFER = "InpatientTransferRequest";

    /**
     * 取消入院
     */
    public static final String PARAMETER_CANCELLATION_DISCHARGE = "CalPatientRequest";


    /**
     * 检查申请单
     */
    public static final String PARAMETER_EXAMAPPLY = "2";


    /**
     * 2019-10-21
     * 检查申请单是否开立
     */
    public static final String PARAMETER_EXAMAPPLYSTATECHANGE = "3";

    /**
     * 2020-3-3
     * 检查申请单 是否核收
     */
    public static final String PARAMETER_VERIFICATIONEXAMAPPLY = "4";


    /**
     * 病案首页
     */
    public static final String INP_SUMMARY = "InpSummary";

    /**
     * 手麻报告
     */
    public static final String HANDNUMBNESS_REPORT = "handNumbnessReport";

    /**
     * 重症ICU报告
     */
    public static final String ICU_REPORT = "ICUReport";

    /**
     * 输血单
     */
    public static final String BLOODAPPLY_REPORT = "BloodTransfusionUrl";

    /**
     * 医生资料 病案首页 病历文书
     */
    public static final String DOCTOR_DATA = "DoctorData";

    /**
     * 护士资料 评估单 体温单 护理单2
     */
    public static final String NURSE_DATA = "NurseData";

    /**
     * lis系统
     */
    public static final String INSPECTION_REPORT_NAME = "LisSendReportBack";


    /**
     * 2019-12-23
     * 检验申请单
     */
    public static final String PARAMETER_INSPECTIONAPPLY = "InspectionApplyRequest";

    /**
     * 2020-2-28
     * 检体核收
     */
    public static final String PARAMETER_VERIFICATIONINSPECTIONAPPLY = "VerificationInspectionApplyRequest";




}
